From 58094e7d629e35d25b6131f5955564fc9c2ba896 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Wed, 1 Jan 2025 09:29:22 +0000
Subject: [PATCH] nettle: upgrade 3.10 -> 3.10.1

---
 .../Add-target-to-only-build-tests-not-run-them.patch    | 9 +++------
 .../check-header-files-of-openssl-only-if-enable_.patch  | 7 ++-----
 .../nettle/{nettle_3.10.bb => nettle_3.10.1.bb}          | 2 +-
 3 files changed, 6 insertions(+), 12 deletions(-)
 rename meta/recipes-support/nettle/{nettle_3.10.bb => nettle_3.10.1.bb} (96%)

diff --git a/meta/recipes-support/nettle/nettle/Add-target-to-only-build-tests-not-run-them.patch b/meta/recipes-support/nettle/nettle/Add-target-to-only-build-tests-not-run-them.patch
index 345fc43ebe..ee3e74c43b 100644
--- a/meta/recipes-support/nettle/nettle/Add-target-to-only-build-tests-not-run-them.patch
+++ b/meta/recipes-support/nettle/nettle/Add-target-to-only-build-tests-not-run-them.patch
@@ -1,4 +1,4 @@
-From e9fcb2177fda228ac065d189240e2d992e86e5bf Mon Sep 17 00:00:00 2001
+From 3ea3eaf5bda21529fc8a8da3d8b07ebc3875ba7e Mon Sep 17 00:00:00 2001
 From: Trevor Gamblin <tgamblin@baylibre.com>
 Date: Fri, 2 Aug 2024 09:48:43 -0400
 Subject: [PATCH] Makefile.in: Add target to only build tests (not run them)
@@ -21,7 +21,7 @@ Signed-off-by: Trevor Gamblin <tgamblin@baylibre.com>
  2 files changed, 5 insertions(+)
 
 diff --git a/Makefile.in b/Makefile.in
-index 2bf7f1e8..403a868a 100644
+index 71ad761..0f239f4 100644
 --- a/Makefile.in
 +++ b/Makefile.in
 @@ -53,6 +53,9 @@ clean distclean mostlyclean maintainer-clean tags:
@@ -35,7 +35,7 @@ index 2bf7f1e8..403a868a 100644
  	true
  
 diff --git a/testsuite/Makefile.in b/testsuite/Makefile.in
-index 0699fa0d..8ac9983c 100644
+index 0699fa0..8ac9983 100644
 --- a/testsuite/Makefile.in
 +++ b/testsuite/Makefile.in
 @@ -137,6 +137,8 @@ $(TARGETS) $(EXTRA_TARGETS): testutils.$(OBJEXT) ../non-nettle.$(OBJEXT) \
@@ -47,6 +47,3 @@ index 0699fa0d..8ac9983c 100644
  check: $(TS_ALL) $(TS_ALL:sc-%=%)
  	TEST_SHLIB_DIR="$(TEST_SHLIB_DIR)" \
  	  srcdir="$(srcdir)" \
--- 
-2.39.2
-
diff --git a/meta/recipes-support/nettle/nettle/check-header-files-of-openssl-only-if-enable_.patch b/meta/recipes-support/nettle/nettle/check-header-files-of-openssl-only-if-enable_.patch
index 49d633b5f7..89b5c7bec4 100644
--- a/meta/recipes-support/nettle/nettle/check-header-files-of-openssl-only-if-enable_.patch
+++ b/meta/recipes-support/nettle/nettle/check-header-files-of-openssl-only-if-enable_.patch
@@ -1,4 +1,4 @@
-From 5f7cdd2b878298577accade43a38e1a0951d17b4 Mon Sep 17 00:00:00 2001
+From ec2ca7e505e6bfe1fff2a7d6e6bb39b60b93e19a Mon Sep 17 00:00:00 2001
 From: Haiqing Bai <Haiqing.Bai@windriver.com>
 Date: Fri, 9 Dec 2016 15:23:17 +0800
 Subject: [PATCH] nettle: check header files of openssl only if
@@ -23,7 +23,7 @@ Signed-off-by: Trevor Gamblin <tgamblin@baylibre.com>
  1 file changed, 5 insertions(+), 3 deletions(-)
 
 diff --git a/configure.ac b/configure.ac
-index 4f27e663..673c1492 100644
+index 7c003bb..779f7ff 100644
 --- a/configure.ac
 +++ b/configure.ac
 @@ -197,9 +197,11 @@ AC_TYPE_SIZE_T
@@ -41,6 +41,3 @@ index 4f27e663..673c1492 100644
  
  # For use by the testsuite
  AC_CHECK_HEADERS([valgrind/memcheck.h])
--- 
-2.39.2
-
diff --git a/meta/recipes-support/nettle/nettle_3.10.bb b/meta/recipes-support/nettle/nettle_3.10.1.bb
similarity index 96%
rename from meta/recipes-support/nettle/nettle_3.10.bb
rename to meta/recipes-support/nettle/nettle_3.10.1.bb
index 92bc78263c..85c470b10d 100644
--- a/meta/recipes-support/nettle/nettle_3.10.bb
+++ b/meta/recipes-support/nettle/nettle_3.10.1.bb
@@ -20,7 +20,7 @@ SRC_URI = "${GNU_MIRROR}/${BPN}/${BP}.tar.gz \
            file://check-header-files-of-openssl-only-if-enable_.patch \
            "
 
-SRC_URI[sha256sum] = "b4c518adb174e484cb4acea54118f02380c7133771e7e9beb98a0787194ee47c"
+SRC_URI[sha256sum] = "b0fcdd7fc0cdea6e80dcf1dd85ba794af0d5b4a57e26397eee3bc193272d9132"
 
 UPSTREAM_CHECK_REGEX = "nettle-(?P<pver>\d+(\.\d+)+)\.tar"
 
-- 
2.44.1

